Subject: Re: Proposed changes to io.h

From: Matt Porter <[email-masked]>
Date: Wed, 31 Mar 2004 10:30:21 -0700

On Wed, Mar 31, 2004 at 11:58:27AM -0500, Dan Malek wrote:
>
> Eugene Surovegin wrote:
>
> > I wonder will it work on 4xx CPUs which don't have floating point unit?
>
> It won't work on anything, will it?  Floating point isn't enabled for
> the kernel, unless I missed that update.

It will. The proposed changes turn on FP, save the scratch FP reg
context, and the restore everything (all under lock). Like was
mentioned, it's ugly but works. I know a few people doing this
(usually in custom MTD 64-bit access functions).

-Matt

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/